Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.faults
Class TransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.bea.wsrp.faults.TransportException

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  AccessDeniedException, InconsistentParametersException, InvalidCookieException, InvalidHandleException, InvalidRegistrationException, InvalidSessionException, InvalidUserCategoryException, MissingParametersException, OperationFailedException, PortletStateChangeRequiredException, UnsupportedLocaleException, UnsupportedMimeTypeException, UnsupportedModeException, UnsupportedWindowStateException

    public class TransportException

extends RemoteException
implements Cloneable

Base class of all WSRP wirelevel exceptions.

See Also
  Serialized Form

Field Summary
`static String` | `faultType`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`TransportException()`
`TransportException(String message)`
`TransportException(String message, Throwable cause)`

Method Summary
`Object` | `clone()`
`String` | `faultType()`
`Fault` | `getFault()`
`QName` | `getFaultCode()`
`XmlObject` | `getFaultElement()`
`String` | `getMessage()`
`Throwable` | `initCause(Throwable cause)`
`void` | `setFault(Fault fault)`

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultType

    public static final String faultType

See Also
  Constants Summary

Constructor Detail

### TransportException

    public TransportException()

### TransportException

    public TransportException(String message)

### TransportException

    public TransportException(String message,
                              Throwable cause)

Method Detail

### setFault

    public void setFault(Fault fault)

### getFault

    public Fault getFault()

### faultType

    public String faultType()

### getFaultCode

    public QName getFaultCode()

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `RemoteException`

### initCause

    public Throwable initCause(Throwable cause)

  Overrides:
    `initCause` in class `Throwable`

### getFaultElement

    public XmlObject getFaultElement()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved